#!/usr/bin/perl
# Copyright 2007, Fonality Inc. ALL RIGHTS RESERVED.
#
# This script watches voicemail.conf for changes done locally.
# If any are found, it tells the PBXtra to server to download it.
#
# -Samy Kamkar, 1/11/05

use strict;
use LWP::Simple;

open(VPN, "</etc/sysconfig/vpn");
my $stype = 'pbxtra';
while (<VPN>)
{
        if (/^GW.*trixbox/)
        {
                $stype = 'trixbox';
                last;
        }
}
close(VPN);

# use this for our host
if ($stype eq 'pbxtra')
{
	$stype = 'fonality';
}

# i would use a PID file, however i could not catch it with a kill -9...
my $running = `ps uawx|grep check_voicemail.pl|grep -v grep`;
if (split(/\n/, $running) > 1)
{
	die "$0 already running\n";
}

my ($user, $lastmod);
open(CONF, "</etc/asterisk/fonality/globals.conf") || die "Can't open globals.conf for reading: $!";

fork() && die "check_voicemail.pl running in background\n";

while (<CONF>)
{
	if (/^ACCOUNT=(.*)$/)
	{
		$user = $1;
	}
}
close(CONF);

while (1)
{
	my @stat = stat("/etc/asterisk/voicemail.conf");

	# if this isn't the first iteration and the modification is different
	if ($lastmod && $lastmod ne $stat[9])
	{
		get("http://cp.$stype.com/vm_update.cgi?account=$user");
	}

	$lastmod = $stat[9];
	sleep 30;
}
